"""Read Write eXecute."""

__version__ = "0.0.1"

from os import linesep


class Object:
    """Root object."""

    def __repr__(self) -> str:
        """Return machine-readable state.

        :return: state
        :rtype: str
        """
        name = self.__class__.__name__
        attributes = [
            f"{k}={v!r}" for k, v in vars(self).items() if not k.startswith("_")
        ]
        arguments = ", ".join(attributes)
        return f"{name}({arguments})"

    def __str__(self) -> str:
        """Return human-readable state.

        :return: state
        :rtype: str
        """
        attributes = [
            f"{k} = {v}" for k, v in vars(self).items() if not k.startswith("_")
        ]
        return linesep.join(attributes)
