"""Handle system commands & packages."""

commands: list[str] = []
packages: list[str] = []


def need(command: str) -> None:
    """Assert package dependency for a command.

    :param command: name of the requested command
    :type command: str
    """
    package: str | None
    match command:
        case "debootstrap":
            package = "debootstrap"
        case "mksquashfs" | "unsquashfs":
            package = "squashfs-tools"
        case _:
            package = None
    if package and package not in packages:
        packages.append(package)
