"""Wrap SquashFS commands."""

from pathlib import Path

from rwx import cmd, ps

cmd.need("mksquashfs")


def mksquashfs(input_root: Path, output_file: Path) -> None:
    """Make a SquashFS bootable image file.

    :param input_root: ?
    :type input_root: Path
    :param output_file: ?
    :type output_file: Path
    """
    ps.run(
        "mksquashfs",
        str(input_root),
        str(output_file),
        "-comp",
        "zstd",
        "-Xcompression-level",
        str(18),
    )
