"""FreeTube channels."""

from rwx import Class


class Channel(Class):
    """FreeTube channel."""

    def __init__(self, uid: str, name: str) -> None:
        """Set uid & name.

        :param uid: unique identifier
        :type uid: str
        :param name: label
        :type name: str
        """
        self.uid = uid
        self.name = name

    def to_db(self) -> str:
        """Return identifier as db.

        :rtype: str
        """
        return f"""\
{{\
"id":"{self.uid}"\
}}\
"""
