"""Output FreeTube db."""


def to_db(value: object) -> str:
    """Render value as string.

    :param value: value to render
    :type value: object
    :rtype: str
    """
    match value:
        case bool():
            text = str(value).lower()
        case dict():
            sub = ",".join([f'"{i}":{to_db(v)}' for i, v in value.items()])
            text = f"{{{sub}}}"
        case float() | str():
            text = f'"{value}"'
        case _:
            text = str(value)
    return text
